Subject: bug#40828: closed (Re: bug#40828: core-updates: guix system reconfigure error: guix-1.1.0-1.7dd0539.drv failed)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Apr 2020 14:42:01 +0000

Your bug report

#40828: core-updates: guix system reconfigure error: guix-1.1.0-1.7dd0539.drv failed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40828: core-updates: guix system reconfigure error: guix-1.1.0-1.7dd0539.drv failed
From: Marius Bakke <[email-masked]>
To: sirgazil <[email-masked]>
Cc: 40828 <[email-masked]>
Date: Tue, 28 Apr 2020 16:41:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

sirgazil <[email-masked]> writes:

>  > Is this error repeatable for you?  Guix built fine on the CI:
>
> No. It worked this time, although I skipped step 2. I don't know if that could make any difference.

It should not have made a difference.

I doubt we'll find out what went wrong, so closing the issue.  Thanks!

Subject: core-updates: guix system reconfigure error: guix-1.1.0-1.7dd0539.drv failed
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Fri, 24 Apr 2020 19:18:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

## Steps to reproduce

1. guix pull --branch=core-updates
2. guix upgrade
3. sudo guix system reconfigure --fallback os-config.scm

## Expected result

Reconfiguring ends without errors.

## Unexpected result

The whole process failed with this error:

★★★★★★★★★★★★★★★★★★★★
building /gnu/store/w47hbg05gmnyz5kp3iplyca0mh1vzkma-guix-1.1.0-1.7dd0539.drv...
- 'copy-bootstrap-guile' phasebuilder for `/gnu/store/w47hbg05gmnyz5kp3iplyca0mh1vzkma-guix-1.1.0-1.7dd0539.drv' failed with exit code 1
build of /gnu/store/w47hbg05gmnyz5kp3iplyca0mh1vzkma-guix-1.1.0-1.7dd0539.drv failed
View build log at '/var/log/guix/drvs/w4/7hbg05gmnyz5kp3iplyca0mh1vzkma-guix-1.1.0-1.7dd0539.drv.bz2'.
guix system: error: build of `/gnu/store/w47hbg05gmnyz5kp3iplyca0mh1vzkma-guix-1.1.0-1.7dd0539.drv' failed
★★★★★★★★★★★★★★★★★★★★

And the build log said:

★★★★★★★★★★★★★★★★★★★★
starting phase `copy-bootstrap-guile'
Backtrace:
In ice-9/boot-9.scm:
  1736:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
           9 (apply-smob/0 #<thunk 7ffff5cccaa0>)
In ice-9/boot-9.scm:
    718:2  8 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
In ice-9/eval.scm:
    619:8  7 (_ #(#(#<directory (guile-user) 7ffff58e9f00>)))
In ice-9/command-line.scm:
   185:18  6 (_ #<input: string 7ffff58e4a10>)
In unknown file:
           5 (eval (begin (use-modules (guix)) (with-store store …)) #)
In guix/store.scm:
   625:15  4 (call-with-store #<procedure 7ffff3101a20 at ice-9/eval…>)
    544:2  3 (open-connection _ #:port _ #:reserve-space? _ # _)
In ice-9/boot-9.scm:
  1736:10  2 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   552:28  1 (_)
In ice-9/boot-9.scm:
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
ERROR:
  1. &store-connection-error:
      file: "/tmp/guix-tests/var/27130/daemon-socket/socket"
      errno: 2
command "./test-env" "guile" "-c" "(begin (use-modules (guix)) (with-store store (let* ((item (add-to-store store \"guile-2.0.9.tar.xz\" #f \"sha256\" \"/gnu/store/3aigj659vsjxcrhn0r0vmkbjh3kj5pbs-guile-2.0.9.tar.xz\")) (root (string-append \"/tmp/gc-root-\" (basename item)))) (symlink item root) (add-indirect-root store root))))" failed with status 1
★★★★★★★★★★★★★★★★★★★★

## System information

★★★★★★★★★★★★★★★★★★★★

---
https://sirgazil.bitbucket.io/